'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var styled = require('styled-components');
var styled__default = _interopDefault(styled);

function _taggedTemplateLiteralLoose(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }
  strings.raw = raw;
  return strings;
}

var _templateObject, _templateObject2, _templateObject3;
var BotaoEstilizado = /*#__PURE__*/styled__default.button(_templateObject || (_templateObject = /*#__PURE__*/_taggedTemplateLiteralLoose(["\n  background: ", ";\n  padding: 16px 32px;\n  border: 2px solid #EB9B00;\n  color: ", ";\n  font-size: 20px;\n  cursor: pointer;\n  ", ";\n"])), function (props) {
  return props.tipo == 'primario' ? '#EB9B00' : '#FFF';
}, function (props) {
  return props.tipo == 'primario' ? '#FFF' : '#EB9B00';
}, function (props) {
  return props.tipo == 'primario' ? styled.css(_templateObject2 || (_templateObject2 = _taggedTemplateLiteralLoose(["\n      &:hover {\n        background: #B87900;\n        border: 2px solid #B87900;\n      }\n    "]))) : styled.css(_templateObject3 || (_templateObject3 = _taggedTemplateLiteralLoose(["\n      &:hover {\n        background: #FFF;\n        border: 2px solid #B87900;\n        color: #B87900;\n      }\n    "])));
});
var AbBotao = function AbBotao(_ref) {
  var onClick = _ref.onClick,
    texto = _ref.texto,
    _ref$tipo = _ref.tipo,
    tipo = _ref$tipo === void 0 ? 'primario' : _ref$tipo;
  return React.createElement(BotaoEstilizado, {
    onClick: onClick,
    tipo: tipo
  }, texto);
};

var _templateObject$1;
var CardEstilizado = /*#__PURE__*/styled__default.div(_templateObject$1 || (_templateObject$1 = /*#__PURE__*/_taggedTemplateLiteralLoose(["\n  background: #FFF;\n  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);\n  border-radius: 10px;\n  padding: 48px;\n"])));
var AbCard = function AbCard(_ref) {
  var children = _ref.children;
  return React.createElement(CardEstilizado, null, children);
};

// Please do not use types off of a default export module or else Storybook Docs will suffer.
// see: https://github.com/storybookjs/storybook/issues/9556
/**
 * A custom Thing component. Neat!
 */
var Thing = function Thing(_ref) {
  var children = _ref.children;
  return React.createElement("div", null, children || "the snozzberries taste like snozzberries");
};

exports.AbBotao = AbBotao;
exports.AbCard = AbCard;
exports.Thing = Thing;
//# sourceMappingURL=react-desenvolvendo-uma-biblioteca-de-componentes.cjs.development.js.map
